Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class BuildResultsSearcherImpl

    java.lang.Object
      com.atlassian.bamboo.build.BuildResultsSearcherImpl

All Implemented Interfaces:
  BuildResultsSearcher

    public class BuildResultsSearcherImpl

extends Object
implements BuildResultsSearcher

Constructor Summary
`BuildResultsSearcherImpl()`

Method Summary
`BuildResultsSummary` | `findBuildResultsByIdandBuildNumber(long buildId, int buildNumber)` Finds a build result given the buildkey and build number.
`List` | `findBuildResultsByJiraIssueKey(String key)` Finds a list of Build Results
`BuildResultsSummary` | `findPreviousBuildResult(long buildId, int buildNumber)` Finds a previous build result given the current build number and build key.
`BuildResultsSummaryDocumentFactory` | `getBuildResultsSummaryDocumentFactory()`
`IndexConnectionManager` | `getIndexConnectionManager()`
`protected Searcher` | `getSearcher()`
`List` | `searchBuildResults(Query q)`
`void` | `setBuildResultsSummaryDocumentFactory(BuildResultsSummaryDocumentFactory buildResultsSummaryDocumentFactory)`
`void` | `setIndexConnectionManager(IndexConnectionManager indexConnectionManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildResultsSearcherImpl

    public BuildResultsSearcherImpl()

Method Detail

### findPreviousBuildResult

    public BuildResultsSummary findPreviousBuildResult(long buildId,
                                                       int buildNumber)

  Description copied from interface: `BuildResultsSearcher`
  Finds a previous build result given the current build number and build key.

  Specified by:
    `findPreviousBuildResult` in interface `BuildResultsSearcher`
  Returns:

### findBuildResultsByIdandBuildNumber

    public BuildResultsSummary findBuildResultsByIdandBuildNumber(long buildId,
                                                                  int buildNumber)

  Description copied from interface: `BuildResultsSearcher`
  Finds a build result given the buildkey and build number.

  Specified by:
    `findBuildResultsByIdandBuildNumber` in interface `BuildResultsSearcher`
  Returns:

### findBuildResultsByJiraIssueKey

    public List findBuildResultsByJiraIssueKey(String key)

  Description copied from interface: `BuildResultsSearcher`
  Finds a list of Build Results

  Specified by:
    `findBuildResultsByJiraIssueKey` in interface `BuildResultsSearcher`
  Returns:
    `List` of `BuildResultsSummary`

### searchBuildResults

    public List searchBuildResults(Query q)

### getSearcher

    protected Searcher getSearcher()
                            throws IOException

  Throws:
    `IOException`

### getIndexConnectionManager

    public IndexConnectionManager getIndexConnectionManager()

### setIndexConnectionManager

    public void setIndexConnectionManager(IndexConnectionManager indexConnectionManager)

### getBuildResultsSummaryDocumentFactory

    public BuildResultsSummaryDocumentFactory getBuildResultsSummaryDocumentFactory()

### setBuildResultsSummaryDocumentFactory

    public void setBuildResultsSummaryDocumentFactory(BuildResultsSummaryDocumentFactory buildResultsSummaryDocumentFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.